Deletes a chat message. The API request must be authorized by the channel owner or a moderator of the live chat associated with the ban.

**Quota impact:** A call to this method has a [quota cost](https://developers.google.com/youtube/data/getting-started.md.txt#quota) of 20 units.

## Common use cases

<iframe src="https://developers.devsite.google/frame/youtube/data/live/reference/rest/v3/liveChatMessages/delete_5045aa70744b7e8db06b471522846e5966ec81c890411ba0d978f622d41a3d44.frame" class="framebox inherit-locale " allow="clipboard-write https://developers.devsite.google" allowfullscreen is-upgraded></iframe>

## Request

### HTTP request

```
DELETE https://www.googleapis.com/youtube/v3/liveChat/messages
```

### Authorization

This request requires authorization with at least one of the following scopes ([read more about authentication and authorization](https://developers.google.com/youtube/data/live/authentication.md.txt)).

| Scope |
|---|
| `https://www.googleapis.com/auth/youtube` |
| `https://www.googleapis.com/auth/youtube.force-ssl` |

### Parameters

The following table lists the parameters that this query supports. All of the parameters listed are query parameters.

| Parameters ||
|---|---|---|
| **Required parameters** |||
| `id` | `string` The `id` parameter specifies the YouTube chat message ID of the resource that is being deleted. |

### Request body

Do not provide a request body when calling this method.

## Response

If successful, this method returns an HTTP `204` response code (`No Content`).

## Errors

The following table identifies error messages that the API could return in response to a call to this method. See the [error message](https://developers.google.com/youtube/data/live/reference/rest/v3/errors.md.txt) documentation for more detail.

| Error type | Error detail | Description |
|---|---|---|
| `forbidden (403)` | `forbidden` | You don't have the permissions required to delete the specified message. |
| `forbidden (403)` | `modificationNotAllowed` | The specified `liveChatMessage` resource cannot be deleted. The `id` parameter might identify a message created by a moderator or another user whose messages cannot be deleted. |
| `notFound (404)` | `liveChatMessageNotFound` | The message that you are trying to delete cannot be found. Check the value of the `id` parameter to ensure it is correct. |

## Try it!

Use the APIs Explorer to call this API and see the API request and response.